Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.inifile
Class IniFile

    java.lang.Object
      |
      +--net.sf.antcontrib.inifile.IniFile

public class IniFile
extends java.lang.Object

Place class description here.

Since:
Author:
  inger,

Constructor Summary
`IniFile()`

Method Summary
`IniSection` | `getSection(java.lang.String name)`
`java.util.List` | `getSections()`
`void` | `read(java.io.Reader reader)`
`void` | `removeSection(java.lang.String name)`
`void` | `setSection(IniSection section)`
`void` | `write(java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IniFile

    public IniFile()

Method Detail

### getSections

    public java.util.List getSections()

### getSection

    public IniSection getSection(java.lang.String name)

### setSection

    public void setSection(IniSection section)

### removeSection

    public void removeSection(java.lang.String name)

### write

    public void write(java.io.Writer writer)
               throws java.io.IOException

    `java.io.IOException`

### read

    public void read(java.io.Reader reader)
              throws java.io.IOException

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD